body::before {
    --line: hsla(0, 0%, 26%, 0.074);
    content: "";
    height: 60vh;
    width: 100vw;
    position: absolute;
    background:
        linear-gradient(90deg, var(--line) 1px, transparent 1px 10vmin) 0 -5vmin / 10vmin 10vmin,
        linear-gradient(var(--line) 1px, transparent 1px 10vmin) 0 -5vmin / 10vmin 10vmin;
    mask: linear-gradient(to bottom, transparent 10%, black 20%, black 70%, transparent 100%);
    -webkit-mask: linear-gradient(to bottom, transparent 10%, black 20%, black 70%, transparent 100%);
    top: 0;
    z-index: -1;
}

/* Hero */

.home {
    margin-top: 4rem;
}

.header-content .container {
    align-items: center;
    padding: 0;
}

.header-content .column-1 {
    position: relative;
    text-align: center;
    padding: 0 2rem;
    margin: 0rem 0 2rem;
}

.header-title {
    font-size: 4rem;
    line-height: 1.3;
    max-width: 1200px;
    margin: auto;
    color: var(--dark-one);
}

.header-title span {
    background: linear-gradient(160deg, #2D6BFF 0%, #8A3CFF 100%);
    -webkit-background-clip: text;
    color: transparent;
}

.header-content .text {
    margin: 1.15rem auto 2.15rem auto;
    max-width: 700px;
}

.infinite-carousel {
    z-index: 2;
    width: 100%;
    overflow: hidden;
}

.infinite-carousel>div {
    width: max-content;
    padding: 1em 0;
    display: flex;
    align-items: center;
    flex-wrap: nowrap;
    list-style: none;
}

.infinite-carousel img {
    max-width: 25em;
    margin: 0 1em;
    border-radius: 10px;
    border: 1px solid #d8e0e1ab;
}

@keyframes move {
    to {
        transform: translate(calc(-50% - 1.5em));
    }
}

/* End Hero */

/* Services */

.services .flex-2 {
    display: flex;
    gap: 1.5rem;
    margin-bottom: 1.5rem;
}

.services .card {
    border-radius: 14px;
    background-color: var(--light-three);
    padding: 54px 54px 0 54px;
    overflow: hidden;
}

.services .flex-2 .card:nth-child(1) {
    width: 55%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.services .flex-2 .card:nth-child(2) {
    width: 45%;
}

.services .card:nth-child(1) img {
    width: 800px;
    border-radius: 18px;
    transform: translateY(20px);
}

.services .card:nth-child(2) img {
    width: 450px;
    background: #fff;
    height: 100%;
    max-height: 420px;
    object-fit: cover;
    border-radius: 18px;
    transform: translateY(20px);
    display: flex;
}

.services .grid-3 {
    display: grid;
    grid-template-columns: repeat(3, 32%);
    gap: 1.5rem;
    justify-content: center;
    align-items: center;
}

.services .card .icon {
    max-width: 48px !important;
    min-height: 0px !important;
    object-fit: contain !important;
    height: 48px;
    border: none !important;
    border-radius: 0px !important;
    transform: translateY(0px) !important;
    margin-bottom: 1rem;
    background: transparent !important;
    padding: 0 !important;
}

.services .card .text {
    margin-bottom: 1.7rem;
}

/* End Services */

/* About */

.about {
    overflow: hidden;
}

.about .column-1 img {
    margin-bottom: 3rem;
    border-radius: 14px;
    max-height: 750px;
}

.about .skills {
    display: flex;
    margin: 2rem 0;
    flex-wrap: wrap;
}

.about .skills div {
    margin: 0 2rem;
}

.about .skills div:nth-child(1) {
    margin: 0 2rem 0 0;
}

.about .skills span {
    color: var(--main-color);
}

.about .skills .text,
.about .skills .title {
    margin: 0;
}

.about .features img {
    width: 40px;
    height: 40px;
    margin-right: 1rem;
}

.about .features {
    margin: 2rem 0;
}

.about .features .features-bx {
    display: flex;
    margin: 1rem 0;
}

.about .column-2 a {
    margin-bottom: 3rem;
}

.about .column-2 img:nth-child(2) {
    border-radius: 14px;
    margin-bottom: 2rem;
    max-height: 600px;
}

/* End About */

/* Process */

.process {
    background-color: var(--light-three);
}

.process .section-header {
    text-align: center;
    margin-bottom: 4rem;
}

.process .section-header p {
    max-width: 600px;
    margin: auto;
}

.process .cards .card {
    position: sticky;
    top: 2.5em;
    background-color: #fff;
    border: 1px solid var(--light-two);
    border-radius: 14px;
    margin-bottom: 1em;
    display: flex;
    align-items: center;
}

.process .cards .card:nth-child(1) {
    z-index: 0;
}

.process .cards .card:nth-child(2) {
    z-index: 1;
}

.process .cards .card:nth-child(3) {
    z-index: 2;
}

.process .image-card {
    border-radius: 1rem;
    padding: 1rem;
    width: 50%;
}

.process .image-card img {
    max-width: 100%;
    max-height: 700px;
    object-fit: cover;
    border-radius: 1rem;
}

.info-card {
    padding: 2em 4em;
    width: 50%;
    display: flex;
    flex-direction: column;
}

.info-card ul li {
    display: flex;
    margin: 1rem 0;
    display: none;
}

.info-card ul img {
    max-width: 30px;
    margin-right: 1rem;
}

@media (max-width: 1050px) {
    .process .cards .card {
        flex-direction: column;
    }

    .info-card {
        width: 100%;
        padding: 1.5rem;
    }

    .info-card ul {
        display: none;
    }

    .process .image-card {
        width: 100%;
        border-radius: 1rem;
        padding-top: 0;
    }

    .process .image-card img {
        border-radius: 1rem;
        max-height: 410px;
        object-fit: cover;
    }
}

/* End Process */

/* Hire */

.hire {
    position: relative;
    background-color: var(--dark-one);
}

.hire .title {
    color: hsl(0 0% 100% / 0.2);
}

.hire span {
    color: hsl(0 0% 100% / 0.2);
    background: linear-gradient(90deg, #c2c2c2, #fff);
    -webkit-background-clip: text;
    background-clip: text;
    background-size: 0% 100%;
    background-repeat: no-repeat;
    animation: iluminar-texto linear forwards;
    animation-timeline: view(y);
}

.hire .title span {
    animation-range-start: cover 20vh;
    animation-range-end: cover 30vh;
}

.hire .text span {
    animation-range-start: cover 22.5vh;
    animation-range-end: cover 50vh;
}

@keyframes iluminar-texto {
    to {
        background-size: 100% 100%;
    }
}

.hire .btn span {
    color: #fff;
}

.hire .column-2 {
    position: relative;
    height: 500px;
}

.hire .column-2 img {
    position: absolute;
    max-width: 500px;
    border-radius: 15px;
    right: 0;
}

.hire .lines {
    max-width: 510px;
    position: absolute;
    right: 0;
    top: 0;
    z-index: 3;
}

/* End Hire */

/* Proyects */

.portfolio {
    margin-top: 2rem;
}

.portfolio .section-header {
    text-align: center;
}

.portfolio .section-header .text {
    margin: auto;
}

.portfolio .grid-3 {
    display: grid;
    grid-template-columns: repeat(3, 33.33%);
    justify-content: center;
    align-items: center;
    gap: 1rem;
    border-top: 1px solid var(--light-two);
    padding: 4rem 0 0 0;
    margin: 4rem 0 0 0;
}

.portfolio .card {
    position: relative;
    padding: 0;
}

.portfolio .card img {
    border-radius: 14px;
    border: 1px solid #d8e0e182;
    width: 100%;
    transition: .2s all;
    padding: 0;
}

.portfolio .info-portfolio {
    position: absolute;
    width: 100%;
    height: 98%;
    top: 0;
    left: 0;
    background: linear-gradient(180deg, rgb(255, 255, 255) 0%, rgba(255, 255, 255, 0.463) 100%);
    border: 1px solid #d8e0e182;
    border-radius: 14px;
    padding: 1rem 1rem;
    opacity: 0;
    transition: .2s all;
}

.portfolio .info-portfolio p {
    color: #000000;
    position: relative;
    font-weight: 500;
    padding: 0;
    margin: 0;
}

.portfolio .info-portfolio p::before {
    content: '';
    position: absolute;
    left: 0;
    bottom: -10px;
    width: 50px;
    height: 2px;
    background-color: var(--main-color);
    border-radius: 100px;
}

.portfolio .info-portfolio a {
    display: flex;
    align-items: center;
    margin-top: 1rem;
    font-size: 1rem;
    color: #000;
    transition: .3s all;
}

.portfolio .info-portfolio a i {
    margin-left: .3rem;
}

.portfolio .info-portfolio a:hover {
    color: var(--main-color);
}

.portfolio .card:hover .info-portfolio {
    opacity: 1;
}

.portfolio .card:hover img {
    border: 1px solid #fff;
    filter: grayscale(1);
    opacity: 60%;
}

/* End Proyects */

/* Plan */

.plan {
    background-image: linear-gradient(180deg, var(--dark-one) 60%, var(--light-one) 40%, var(--light-one));
}

.plan .section-header {
    text-align: center;
}

.plan .section-header .title {
    color: var(--light-one);
}

.plan .section-header .text {
    color: var(--light-three);
    margin: 0 auto;
}

.plan .cards {
    display: grid;
    grid-template-columns: repeat(3, 32%);
    gap: 2rem;
    justify-content: center;
    margin-top: 2rem;
}

.plan .card {
    background: var(--light-three);
    background-position: center;
    padding: 40px 20px 40px;
    border-radius: 20px;
    height: 100%;
}

.plan .card:nth-child(2) {
    background: #eef1ff;
    background-size: cover;
}

.plan .card .title-sm {
    color: var(--main-color);
}

.plan .card .text {
    border-bottom: 1px solid var(--light-two);
    padding-bottom: 1.5rem;
    margin-bottom: 2rem;
}

.plan .card:nth-child(2) .text {
    border-bottom: 1px solid var(--light-two);
    padding-bottom: 1.5rem;
    margin-bottom: 2rem;
}

.plan .card ul {
    display: flex;
    flex-direction: column;
}

.plan .card ul img {
    width: 24px;
    margin-right: 12px;
}

.plan .card ul li {
    display: flex;
    align-items: center;
    padding: 1rem 0;
    font-weight: 600;
}

.plan .card .title {
    font-weight: 600;
    margin: 0;
    padding: 0;
}

.plan .card .title-sm,
.plan .card .title,
.plan .card ul li {
    border: none;
}

.plan a {
    width: 100%;
    text-align: center;
    margin-top: 1rem;
}



@media (max-width: 900px) {
    .plan .cards {
        grid-template-columns: repeat(2, 50%);
    }
}

/* End Plan */

/* Contact */

.contact {
    position: relative;
}

.contact form {
    display: flex;
    flex-direction: column;
}

.contact form input {
    margin: 1rem 0;
    border: none;
    background: transparent;
    border-bottom: 1px solid var(--light-two);
    padding: 10px 0;
    color: var(--dark-two);
}

.contact form input::placeholder {
    font-weight: 400;
}

.contact form input:focus {
    outline: none;
    border-bottom: 1px solid var(--main-color);
}

.contact .box-info {
    background-color: var(--dark-one);
    padding: 30px;
    z-index: 2;
}

.contact .box-info ul li {
    margin: 2rem 0;
    display: flex;
    align-items: center;
}

.contact .box-info ul li img {
    max-width: 40px;
    border-radius: 14px;
    margin-right: 1rem;
}

.contact .box-info ul li:nth-child(1) {
    margin: 1rem 0;
    width: 100%;
    position: relative;
    display: flex;
}

.contact .box-info ul a {
    color: #fff;
    cursor: pointer;
    transition: .3s all;
    width: 100%;
}

.contact .box-info ul a:hover {
    color: var(--main-color);
}

.contact .column {
    position: absolute;
    top: 0;
    right: 0;
    width: 350px;
    height: 100%;
    background-color: var(--main-color);
}

.contact .box-info .title {
    color: #fff;
}

@media (max-width: 850px) {
    .contact .column-1 {
        background-color: #fff;
        padding: 2rem;
        border-radius: 14px;
        border: 1px solid var(--light-two);
    }

    .contact .box-info {
        border-radius: 14px;
    }

    .contact .column {
        width: 150px;
        border-radius: 50px 0 0 0;
    }
}

/* End Contact */

/* Responsive */

@media (max-width: 1280px) {
    .header-title {
        font-size: 3.5rem;
        max-width: 800px;
    }

    .portfolio .grid-3 {
        grid-template-columns: repeat(2, 50%);
    }

    .portfolio .card img {
        height: 100%;
    }
}

@media (max-width: 1150px) {
    .services .card {
        padding: 35px 35px 0 35px;
    }
}

@media (max-width: 950px) {
    .services .flex-2 {
        flex-direction: column;
    }

    .services .flex-2 .card:nth-child(1) {
        width: 100%;
    }

    .services .flex-2 .card:nth-child(2) {
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .services .card:nth-child(1) img {
        width: 100%;
    }

    .services .card:nth-child(2) img {
        max-width: 100%;
        width: 400px;
    }

    .services .grid-3 {
        grid-template-columns: repeat(2, 49%);
    }
}

@media (max-width: 850px) {
    .header-content .column-1 {
        position: relative;
        text-align: center;
        padding: 0 2rem;
        margin: 0rem 0 0rem;
    }

    .header-title {
        font-size: 2.4rem;
    }

    .services .card:nth-child(1) img {
        width: 500px;
    }

    .services .card:nth-child(2) img {
        min-height: 440px;
        max-height: 400px;
    }

    .about .grid-2 {
        display: flex;
        flex-direction: column-reverse;
    }

    .about .column-1 {
        display: flex;
        flex-direction: column-reverse;
    }

    .about .column-1 .content {
        margin-bottom: 2.5rem;
    }

    .about .column-1 img {
        margin: 0;
        max-height: 450px;
        object-fit: cover;
    }

    .about .column-2 img:nth-child(2) {
        max-height: 450px;
        object-fit: cover;
    }

    .hire {
        overflow: hidden;
    }

    .hire .column-2 img:nth-child(1) {
        position: relative;
    }

    .hire .column-2 {
        height: 100%;
    }

    .portfolio .grid-3 {
        grid-template-columns: repeat(1, 100%);
    }
}

@media (max-width: 650px) {
    .services .grid-3 {
        grid-template-columns: repeat(1, 99%);
    }

    .plan .cards {
        grid-template-columns: repeat(1, 100%);
    }
}

@media (max-width: 645px) {
    .about .skills {
        flex-direction: column;
    }

    .about .skills div {
        margin: 1rem 0rem;
    }

    .btn-whats {
        padding: 1.3rem;
        font-size: 1.5rem;
        right: 1rem;
    }
}

@media (max-width: 560px) {

    .home {
        margin-top: 2rem;
    }

    .header-title {
        font-size: 2rem;
    }

    .infinite-carousel img {
        max-width: 20em;
        margin: 0 1em;
        border-radius: 10px;
        border: 1px solid #d8e0e1ab;
    }

    .services .card:nth-child(2) img {
        max-height: 350px;
        min-height: 0;
        width: 350px;
    }
}

@media (max-width: 420px) {
    .header-title {
        font-size: 1.8rem;
        max-width: 100%;
    }

    .header-content .column-1 {
        margin: 0rem 0 0rem;
    }

    .services .card:nth-child(2) img {
        max-height: 250px;
        min-height: 0;
        width: 350px;
    }

    .about .column-1 img {
        max-height: 300px;
    }

    .about .column-2 img:nth-child(2) {
        max-height: 300px;
    }
}


/* End Responsive */